gnutls_x509_crt_set_crq(3)

NAME
gnutls_x509_crt_set_crq - Associate the Certificate with a request

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_crq(gnutls_x509_crt_t crt, gnutls_x509_crq_t crq);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

gnutls_x509_crq_t crq
    holds a certificate request

DESCRIPTION
This function will set the name and public parameters from the given certificate request to the certificate. Only RSA keys are currently supported.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.